package com.ssj.service.conch.conch.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

public class VersionRequest extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "derver", value = "设备号", required = true)
    private String derver;

    @ApiModelProperty(name = "currentTime", value = "时间", required = true)
    private Long   currentTime;

    @ApiModelProperty(name = "version", value = "版本号", required = true)
    private String version;

    @ApiModelProperty(name = "versionType", value = "版本类型", required = true)
    private String versionType;

    @ApiModelProperty(name = "issueNum", value = "发布次数", required = true)
    private Long   issueNum;

    public String getDerver() {
        return derver;
    }

    public void setDerver(String derver) {
        this.derver = derver;
    }

    public Long getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(Long currentTime) {
        this.currentTime = currentTime;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getVersionType() {
        return versionType;
    }

    public void setVersionType(String versionType) {
        this.versionType = versionType;
    }

    public Long getIssueNum() {
        return issueNum;
    }

    public void setIssueNum(Long issueNum) {
        this.issueNum = issueNum;
    }

}
